#pragma once
#include "../include/Define.h"
#include "../RedisAgent/RedisAgent.h"
#include <string>
#include <list>

// 设备列表管理
class readmodulefromredis
{
public:
    readmodulefromredis(RedisAgent* redis);

private:
    RedisAgent*               m_pRedis;          // 读取配置
    bool parse(QString cfg,ModuleInfo& moduleInfo);

public:
    std::list<ModuleInfo> loadModules(QString id);
};
